<?php

namespace App\Helper\Efps;

class Config
{
    private static array $params = [
        'dev' => [
            'customerCode' => '562265003122220',
            'signNo' => '562265003122220003',
            'baseUrl' => 'http://test-efps.epaylinks.cn',
            'privateKeyFilePath' => BASE_PATH . '/certs/dev/user.pfx',
            'publicKeyFilePath' => BASE_PATH . '/certs/dev/efps.cer',
            'privateKeyPassword' => '123456',
        ],
        'prod' => [
            'customerCode' => '562276004021027',
            'signNo' => '562276004021027002',
            'baseUrl' => 'https://efps.epaylinks.cn',
            'privateKeyFilePath' => BASE_PATH . '/certs/prod/user.pfx',
            'publicKeyFilePath' => BASE_PATH . '/certs/prod/efps.cer',
            'privateKeyPassword' => 'iUixTxtl8N2Ntlx1LqZ',
        ]
    ];

    public static function get($env): ?array {
        return self::$params[$env] ?: null;
    }
}