<?php

declare(strict_types=1);

namespace App\Helper;

class Signer
{
    public static function sign($params, $secretKey) {
        $signString =  $params['app_id'] . '&'
        . $params['timestamp'] . '&'
        . $params['nonce_str'] . '&'
        . $params['data'] . '&'
        . $secretKey;
        Log::info('outParams:', $params, 'outRequest');
        Log::info('outSignString:' . $signString, [], 'outRequest');
        return md5($signString);
    }

    public static function verify($params, $secretKey) {
        $sign = self::sign($params, $secretKey);
        return $sign == $params['sign'];
    }
}