<?php

declare(strict_types=1);

namespace App\Job;

use App\Service\UserService;

class AfterRegisterJob extends Job
{
    public function handle()
    {
        $userId = $this->params['user_id'] ?? '';

        /**
         * @var UserService $userService
         */
        $userService = make(UserService::class);
        $userService->afterRegister($userId);
    }
}