<?php

declare(strict_types=1);

namespace App\Job;

use App\Service\PlayerRoleService;

class AfterSaveRoleJob extends Job
{
    public function handle()
    {
        /**
         * @var PlayerRoleService $playerRoleService
         */
        $playerRoleService = make(PlayerRoleService::class);
        $playerRoleService->save($this->params);
    }
}