<?php

declare(strict_types=1);

namespace App\Job;

use App\Service\SpendService;

class AfterSpendJob extends Job
{
    public function handle()
    {
        $payOrderNumber = $this->params['pay_order_number'] ?? '';

        /**
         * @var SpendService $spendService
         */
        $spendService = make(SpendService::class);
        $spendService->afterSpend($payOrderNumber);
    }
}